Name:           xeuphoric
Version:        0.18.2
Release:        9%{?dist}
Summary:        An X based ORIC emulator
Group:          Applications/Emulators
# The ROMs are believed to be public domain
License:        GPLv2 and Public Domain
URL:            http://www.teaser.fr/~amajorel/xeuphoric/
Source0:        http://www.teaser.fr/~amajorel/%{name}/%{name}-%{version}.tar.gz
Source1:        xeuphoric.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  arts-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libXext-devel
Requires:       %{name}-roms
Requires:       hicolor-icon-theme
# Known to fail on x86_64, ppc, ppc64, ia64 and alpha
ExclusiveArch:  %{ix86}

%description
xeuphoric is an X based ORIC emulator which has full support for sound,
HIRES graphics, saving, loading and emulation of the original ORIC-1, Oric
Atmos (default) and the Telestat (which would have come next had Oric not
vanished under the waves!)


%package roms
Summary:    ROMS required for %{name}
Group:      Applications/Emulators
Requires:   %{name} = %{version}-%{release}

%description roms
ROMS required to run %{name}


%prep
%setup -q
sed -i 's|PREFIX=/usr/local|PREFIX=/usr|' configure
# Character encoding fixes
pushd docsrc
iconv -f iso8859-1 xeuphoric.1 -t utf8 > xeuphoric.1.conv \
    && /bin/mv -f xeuphoric.1.conv xeuphoric.1
popd
pushd doc/euphoric-0.99b
sed -i 's|\r||' *
sed -i 's|\x1A\xFF||g' HISTORIC
sed -i 's|\xA3||g' HISTORIC
iconv -f iso8859-1 HISTORIQ -t utf8 > HISTORIQ.conv \
    && /bin/mv -f HISTORIQ.conv HISTORIQ
iconv -f iso8859-1 LISEZMOI -t utf8 > LISEZMOI.conv \
    && /bin/mv -f LISEZMOI.conv LISEZMOI
iconv -f iso8859-1 MANUAL -t utf8 > MANUAL.conv \
    && /bin/mv -f MANUAL.conv MANUAL
iconv -f iso8859-1 MANUEL -t utf8 > MANUEL.conv \
    && /bin/mv -f MANUEL.conv MANUEL
popd


%build
# Note, not an autotools configure!
./configure
make CFLAGS="-DX11 %{optflags}" %{?_smp_mflags}

# Generate desktop files
cat >%{name}-atmos.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=XEuphoric (Atmos)
GenericName=(ORIC Emulator)
Comment=%{summary}
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
Categories=Game;Emulator;
EOF

# Generate desktop files
cat >%{name}-oric1.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=XEuphoric (ORIC-1)
GenericName=(ORIC Emulator)
Comment=%{summary}
Exec=%{name} -1
Icon=%{name}.png
Terminal=false
Type=Application
Categories=Game;Emulator;
EOF

# Generate desktop files
cat >%{name}-telestrat.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=XEuphoric (Telestrat)
GenericName=(ORIC Emulator)
Comment=%{summary}
Exec=%{name} -t
Icon=%{name}.png
Terminal=false
Type=Application
Categories=Game;Emulator;
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
mkdir -p %{buildroot}%{_datadir}/%{name}/%{version}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/%{version}

install -pm 0755 %{name} %{buildroot}%{_bindir}
install -pm 0644 docsrc/%{name}.1 %{buildroot}%{_mandir}/man1
install -pm 0644 *.rom %{buildroot}%{_datadir}/%{name}/%{version}
install -pm 0644 .xeuphoricrc %{buildroot}%{_sysconfdir}/%{name}/%{version}/xeuphoricrc
install -pm 0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps

desktop-file-install --vendor fedora \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}-atmos.desktop

desktop-file-install --vendor fedora \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}-oric1.desktop

desktop-file-install --vendor fedora \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}-telestrat.desktop


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root)
%doc doc/euphoric-0.99b/* COPYING
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%config (noreplace) %{_sysconfdir}/%{name}/


%files roms
%{_datadir}/%{name}


%changelog
* Fri Sep 28 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0.18.2-9
- Changed to exclusivearch %%{ix86}. (BZ #310391)

* Tue Aug 21 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0.18.2-8
- Release bump for F8 mass rebuild
- License change due to new guidelines

* Fri Jun 29 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0.18.2-7
- Various cleanups to the SPEC including conforming to new guidelines
- Fix BZ #245091
- Additional .desktop files for other emulator models
- Encoding fixes for documentation
- Fixed installation of broken man page

* Sat Oct 21 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.18.2-6
- changed ppc64 to ppc

* Sun Oct 15 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.18.2-5
- corrected iconv

* Sun Oct 15 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.18.2-4
- fixed sysconfdir issue
- added desktop file and desktop icon
- added post and postun
- added CFLAGS to the make line

* Sat Oct 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.18.2-3
- created new ROM subpackage

* Sat Aug 26 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.18.2-2
- fixed sysconfdir problem

* Mon Aug 10 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.18.2-1
- Initial import into FE
- created datapath patch
- added own makeinstall as the provided one is broken
